Patch Application
curl --request PATCH \
--url https://api.bunny.net/mc/apps/{appId} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"regionSettings": {
"allowedRegionIds": [
"DE",
"UK",
"US"
],
"requiredRegionIds": [
"DE"
],
"maxAllowedRegions": 5,
"nodeSelectors": {}
},
"containerTemplates": [
{
"name": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"id": "<string>",
"image": "<string>",
"imageDigest": "<string>",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"displayName": "<string>",
"cdn": {
"isSslEnabled": true,
"pullZoneId": 123,
"portMappings": [
{
"containerPort": 32768,
"exposedPort": 32768,
"protocols": []
}
]
}
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}
],
"volumes": [
{
"name": "<string>",
"size": 5
}
]
}
'{
"id": "<string>"
}Applications
Patch Application
Partially updates an existing application using JSON Merge Patch semantics. Only provided fields will be updated; existing fields not included in the request will remain unchanged. For arrays (containers, volumes, endpoints), items with matching IDs will be updated, items without IDs will be added as new, and items not included will be deleted.
PATCH
/
apps
/
{appId}
Patch Application
curl --request PATCH \
--url https://api.bunny.net/mc/apps/{appId} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"regionSettings": {
"allowedRegionIds": [
"DE",
"UK",
"US"
],
"requiredRegionIds": [
"DE"
],
"maxAllowedRegions": 5,
"nodeSelectors": {}
},
"containerTemplates": [
{
"name": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"id": "<string>",
"image": "<string>",
"imageDigest": "<string>",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"displayName": "<string>",
"cdn": {
"isSslEnabled": true,
"pullZoneId": 123,
"portMappings": [
{
"containerPort": 32768,
"exposedPort": 32768,
"protocols": []
}
]
}
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}
],
"volumes": [
{
"name": "<string>",
"size": 5
}
]
}
'{
"id": "<string>"
}Authorizations
Please enter a valid personal API key.
Path Parameters
The ID of the application to update
Body
application/jsontext/jsonapplication/*+json
Partial application configuration with only the fields to update
Required string length:
1 - 100Pattern:
[A-Za-z0-9-\s]+Available options:
shared, reserved Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Application was successfully updated.
Was this page helpful?
⌘I